Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyMemberDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyMemberDoc

- All Implemented Interfaces and Traits:
    GroovyMemberDoc

      public class SimpleGroovyMemberDoc
      extends SimpleGroovyAbstractableElementDoc

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected GroovyClassDoc` | `belongsToClass` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyMemberDoc (String name, GroovyClassDoc belongsToClass)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `commentText()`
    `` | `String` | `firstSentenceCommentText()`
    `` | `boolean` | `isSynthetic()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyAbstractableElementDoc` | `isAbstract, setAbstract`
    `class SimpleGroovyProgramElementDoc` | `addAnnotationRef, annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName, setContainingPackage, setFinal, setPackagePrivate, setPrivate, setProtected, setPublic, setStatic`

    `class SimpleGroovyDoc`

    `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected GroovyClassDoc belongsToClass

  - ### Constructor Detail

    - #### public SimpleGroovyMemberDoc(String name, GroovyClassDoc belongsToClass)

  - ### Method Detail

    - #### public String commentText()

    - #### public String firstSentenceCommentText()

    - #### public boolean isSynthetic()